aboutsummaryrefslogtreecommitdiffstats
path: root/coverity/prepare_source_Osmocom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coverity/prepare_source_Osmocom.sh')
-rwxr-xr-xcoverity/prepare_source_Osmocom.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/coverity/prepare_source_Osmocom.sh b/coverity/prepare_source_Osmocom.sh
index 63fbea0..526e9d3 100755
--- a/coverity/prepare_source_Osmocom.sh
+++ b/coverity/prepare_source_Osmocom.sh
@@ -65,7 +65,7 @@ done
# We want to compile tests, but not execute them. Using 'noinst_PROGRAMS'
# instead of 'check_PROGRAMS' allows building test binaries during 'make all'.
for proj in $PROJECTS; do
- files="$(git -C $proj grep -l check_PROGRAMS)"
+ files="$(git -C $proj grep -l check_PROGRAMS)" || true
if [ -n "$files" ]; then
(cd $proj && sed -i "s/check_PROGRAMS/noinst_PROGRAMS/" $files)
fi